<template>
  <div class="report">
    <div class="header">
      <SuccessIcon class="icon icon--success" v-if="success"/>
      <FailIcon class="icon icon--fail" v-else />
      <p class="text" v-if="success">پرداخت با موفقیت انجام شد. می توانید سفارش خود را در پنل کاربری پیگیری کنید.</p>
      <p class="text" v-else>متاسفانه پرداخت با موفقیت انجام نشد. لطفا دوباره تلاش کنید.</p>
    </div>
    <div class="footer">
      <nuxt-link v-if="success" to="/dashboard/orders">
        <Button type="contained">داشبورد</Button>
      </nuxt-link>
      <nuxt-link to="/cart" v-else>
        <Button type="contained">سبد خرید</Button>
      </nuxt-link>
      <nuxt-link to="/shop">
        <Button type="outlined">فروشگاه</Button>
      </nuxt-link>
    </div>
  </div>
</template>

<script>
import Button from "@/components/base/Button";
import SuccessIcon from "@/assets/svgs/success.svg";
import FailIcon from "@/assets/svgs/error.svg";

export default {
  name: "Report",
  components: {
    Button,
    SuccessIcon,
    FailIcon
  },
  props: {
    success: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.report
  color $white

.header
  display flex
  flex-direction column
  align-items center
  margin-bottom $md

.icon
  width 7.5rem
  height 7.5rem
  margin-bottom $sm
  opacity 1
  &--fail
    fill $error
  &--success
    fill $success

.footer
  display flex
  flex-direction row-reverse
  justify-content center
  & > *:not(:last-child)
    margin-left $sm
  @media only screen and (max-width: 450px)
    flex-direction column
    align-items center
    & > *:not(:last-child)
      margin-left 0
      margin-bottom $sm

.text
  direction rtl
  text-align center
  line-height 3rem
</style>

